#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QKeySequenceEdit>

class QGlobalShortcut;

class KeyEdit : public QKeySequenceEdit
{
    Q_OBJECT
public:
    KeyEdit(QWidget* parent = nullptr);

    ~KeyEdit();

    void clear();

    void setKey(QKeySequence key);

signals:
    void actived(QKeySequence key);
    void error(QString);

private:
    QGlobalShortcut* mGhk;
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void showEditor();

private:
    QWidget* mEdit;
    KeyEdit* mHide;
    KeyEdit* mFull;

    void initEditor();
};

#endif // MAINWINDOW_H
